jQuery(document).ready( function($){
	//console.log('yes im here');
	// Prepare variable to hold custom media manager
	var spp_isim_media_frame;

	$(document.body).on('click.sppIsimOpenMediaManager', '.spp-isim-open-media', function(e) {
		e.preventDefault();

		// If frame exists, re-open it
		if( spp_isim_media_frame ) {
			spp_isim_media_frame.open();
			return;
		}

		// Otherwise, create it with some options
		spp_isim_media_frame = wp.media.frames.spp_isim_media_frame = wp.media({
			// Pass custom class to frame for better styling
			className: 'media-frame spp-isim-media-frame',
			frame: 'select',
			multiple: false,
			title: spp_isim_object.spp_isim_plugin_name,
			library: {
				type: 'image'
			},
			button: {
				text: 'Use this'
			}
		});

		spp_isim_media_frame.on('select', function() {
			// Grab our attachment selection and construct JSON representation of model
			var media_attachment = spp_isim_media_frame.state().get('selection').first().toJSON();

			// Send attachment URL to custom input field via jQuery
			$('#spp-isim-custom-bg').val(media_attachment.url);
			if( $('#spp-isim-usedfbg').length > 0 ) {
				$('#spp-isim-usedfbg').attr('checked', false);
			}
		});

		// now everything is set, open the frame
		spp_isim_media_frame.open();
	});

	/* Remove Custom BG */
	$('#rmcustombg').on('click', function() {
		$('#current-custom-bg').remove();
		$('#spp-isim-custom-bg').val('');
		$('#save-reminder').show();
	});

	/* Color Picker */
	$('.color-picker').wpColorPicker();

}); // global end