jQuery(document).ready(function($) {
	// update post meta to use correct icon
	$('#createimg').on('click', function(e) {
		e.preventDefault();
		var nonce = spp_isim_object.nonce;
		var is_admin = spp_isim_object.is_admin;
		var plugin_name = spp_isim_object.spp_isim_plugin_name;


		// data object to send to server
		data = {
			action: 'spp_isim_do_ajax_request',
			nonce: nonce,
			is_admin: is_admin,
			usedfbg: $('input#spp-isim-usedfbg:checked').val(),
			singlecustombg: $('input#spp-isim-custom-bg').val(),
			content: $('textarea#spp-isim-content').val(),
			font: $('input[name=font]:checked').val(),
			font_size: $('input#font_size').val(),
			position: $('input#spp-isim-position:checked').val(),
			textColor: $('input#textColor').val(),
			charbreak: $('input#charbreak').val(),
			branding: $('input#spp-isim-branding').val(),
			wmfont_size: $('input#wmfont_size').val(),
			wmtextAlign: $('input#spp-isim-wmtextAlign:checked').val(),
			wmtextColor: $('input#wmtextColor').val(),
			post_id: $('input#spp-isim-post-id').val()
		};
	//	console.log(data);

		$.post(ajaxurl, data, function(response) {
			//alert(response);
			$('#spp-isim-createdimg').show();
			$('#spp-isim-createdimg').html(response);
			$('form#spp-isim-create').hide();
		})

		return false;
	});
	$('#spp-isim-insert').on('click', function(e) {
		e.preventDefault();
		var imgsrc = $('#spp-isim-created-img-preview').html();
		console.log('OMG! The imgsrc is '+ imgsrc +' !');	
		var output = imgsrc;

		tinyMCEPopup.editor.execCommand('mceInsertContent', false, output);
		// Return
		tinyMCEPopup.close();
	});
}); 