<?
/*
Plugin Name: Instant Social Image
Plugin URI: http://SellPLRPlugins.com
Description: Creates social friendly images from text
Version: 1.1.1
Author: Lynette Chandler
Author URI: http://techbasedmarketing.com
Stable tag: 1.1.1
*/
// Define constants
if(!defined('__DIR__')) {
    define( 'SPP_ISIM_DIR', plugin_dir_url( __FILE__) );
    define( 'SPP_ISIM_PATH', dirname( __FILE__) );
} else {
	define( 'SPP_ISIM_DIR', WP_PLUGIN_URL.'/'.basename(__DIR__) );
	define( 'SPP_ISIM_PATH', WP_PLUGIN_DIR.'/'.basename(__DIR__) );
}
define( 'SPP_ISIM_WP_DIR', get_bloginfo('wpurl') );
define( 'SPP_ISIM_PLUGIN_NAME', 'Instant Social Image' );
define( 'SPP_ISIM_VERSION', '1.1.1' );
$spp_isim_opts = get_option( 'spp_isim_options' );

register_activation_hook( __FILE__, 'spp_isim_activate' );
function spp_isim_activate() {
$domain = parse_url( get_site_url() );
$siteName = $domain[host];

 $spp_isim_options = array(  
  'defBGimg' => 'lightwood',
  'custombg' => '',
  'font' => 'Raleway-Bold',
  'font_size' => '20',
  'position' => '0',
  'textColor' => '#000000',
  'charbreak' => '25',
  'branding' =>  $siteName,
  'wmfont_size' => '10',
  'wmtextAlign' => '0',
  'wmtextColor' => '#000000'
  );
  if( !get_option('spp_isim_options') ){
	update_option('spp_isim_options', $spp_isim_options );
  }

}

include('modules/settings.php');
include('modules/editor.php');
include('modules/scripts.php');
include('modules/class-requirements.php');
include('modules/class-imaging.php');
?>