// See /modules/editor-without-external-dialog.php for dialog box
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.sppisimbuttons', {
		init : function(ed, url) {			
			 tinymce.plugins.sppisimbuttons.theurl = url;
			 //var pluginurl = spp_isim.pluginurl;
			 var plugin_name = spp_isim_object.spp_isim_plugin_name;
			 var pid = spp_isim_object.pid;

			// Register buttons
			ed.addButton('sppisimbuttons', {
				title : plugin_name,
				type : 'button',
				tooltip: 'Create Social Image',
				icon: 'spp_isim spp-isim-icon-isim',
			onclick: function() {
				ed.windowManager.open({
					//file that contains HTML for our modal window
					id : 'spp_isim_main_editor_dialog',
					width : 520, // size of our window
					height : 'auto',
					title : ed.getLang( plugin_name, plugin_name ),
					wpDialog: true
				}, {
					post_id: pid,
					plugin_name: plugin_name,
				});
			}
			});
		},		
		
		getInfo : function() {
			return {
				longname : plugin_name,
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('sppisimbuttons', tinymce.plugins.sppisimbuttons);
	
})();