<?php 
//Admin Post/Edit Screens
add_action( 'admin_enqueue_scripts', 'spp_isim_admin_scripts' );
function spp_isim_admin_scripts( $hook ) {
	global $post;
	if( $hook == 'post-new.php' || $hook == 'post.php' ) {
		// For TinyMCE
		wp_enqueue_style( 'spp-isim-editor-font', SPP_ISIM_DIR.'/modules/css/fontello-31122b0e/css/spp-isim.css' );
		wp_enqueue_style( 'spp-isim-admin', SPP_ISIM_DIR.'modules/css/admin.css' );
		wp_enqueue_style( 'wp-jquery-ui-dialog' );
		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_script( 'wpdialogs' );
		wp_enqueue_script( 'spp-isim-admin', SPP_ISIM_DIR.'modules/js/admin.js', 'jquery', '', true );
		wp_enqueue_script( 'spp-isim-ajax', SPP_ISIM_DIR.'modules/js/adminajax.js', array('jquery'), false, true );
		wp_enqueue_script( 'wp-color-picker' );
	}
}

// Localize script for TinyMCE editor use
add_action( 'before_wp_tiny_mce', 'spp_isim_localize_for_tinymce' );
function spp_isim_localize_for_tinymce() {
	global $post;
	$params = array(
		'nonce' => wp_create_nonce('spp-isim-create'),
		'is_admin' => is_admin(),
		'pid' => $post->ID,
		'spp_isim_dir' => SPP_ISIM_DIR,
		'spp_isim_plugin_name' => SPP_ISIM_PLUGIN_NAME
	);
	?>
	<script type='text/javascript'>
	/* <![CDATA[ */
	var spp_isim_object = <?php echo json_encode( $params ); ?>;
	/* ]]> */
	</script>
	<?php
}
?>